# ory-kratos-client
Welcome to the ORY Kratos HTTP API documentation!

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: v0.0.0-alpha.37
- Package version: v0.0.0-alpha.37
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/ory/sdk.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/ory/sdk.git`)

Then import the package:
```python
import ory_kratos_client 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import ory_kratos_client
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import ory_kratos_client
from ory_kratos_client.rest import ApiException
from pprint import pprint


# Defining host is optional and default to http://localhost
configuration.host = "http://localhost"
# Create an instance of the API class
api_instance = ory_kratos_client.HealthApi(ory_kratos_client.ApiClient(configuration))

try:
    # Check alive status
    api_response = api_instance.is_instance_alive()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling HealthApi->is_instance_alive: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*HealthApi* | [**is_instance_alive**](docs/HealthApi.md#is_instance_alive) | **GET** /health/alive | Check alive status
*HealthApi* | [**is_instance_ready**](docs/HealthApi.md#is_instance_ready) | **GET** /health/ready | Check readiness status
*PublicApi* | [**complete_profile_management_flow**](docs/PublicApi.md#complete_profile_management_flow) | **POST** /profiles | Complete Profile Management Flow
*PublicApi* | [**get_login_request**](docs/PublicApi.md#get_login_request) | **GET** /auth/browser/requests/login | Get Login Request
*PublicApi* | [**get_profile_management_request**](docs/PublicApi.md#get_profile_management_request) | **GET** /profiles/requests | Get Profile Management Request (via cookie)
*PublicApi* | [**get_registration_request**](docs/PublicApi.md#get_registration_request) | **GET** /auth/browser/requests/registration | Get Registration Request
*PublicApi* | [**initialize_login_flow**](docs/PublicApi.md#initialize_login_flow) | **GET** /auth/browser/login | Initialize a Login Flow
*PublicApi* | [**initialize_profile_management_flow**](docs/PublicApi.md#initialize_profile_management_flow) | **GET** /profiles | Initialize Profile Management Flow
*PublicApi* | [**initialize_registration_flow**](docs/PublicApi.md#initialize_registration_flow) | **GET** /auth/browser/registration | Initialize a Registration Flow
*VersionApi* | [**get_version**](docs/VersionApi.md#get_version) | **GET** /version | Get service version


## Documentation For Models

 - [Error](docs/Error.md)
 - [Form](docs/Form.md)
 - [FormField](docs/FormField.md)
 - [GenericError](docs/GenericError.md)
 - [HealthNotReadyStatus](docs/HealthNotReadyStatus.md)
 - [HealthStatus](docs/HealthStatus.md)
 - [Identity](docs/Identity.md)
 - [LoginRequest](docs/LoginRequest.md)
 - [LoginRequestMethod](docs/LoginRequestMethod.md)
 - [LoginRequestMethodConfig](docs/LoginRequestMethodConfig.md)
 - [OidcStrategyCredentialsConfig](docs/OidcStrategyCredentialsConfig.md)
 - [OidcStrategyRequestMethod](docs/OidcStrategyRequestMethod.md)
 - [ProfileManagementRequest](docs/ProfileManagementRequest.md)
 - [RegistrationRequest](docs/RegistrationRequest.md)
 - [RegistrationRequestMethod](docs/RegistrationRequestMethod.md)
 - [RegistrationRequestMethodConfig](docs/RegistrationRequestMethodConfig.md)
 - [Version](docs/Version.md)


## Documentation For Authorization

 All endpoints do not require authorization.

## Author




